# Big-List-of-ActivityPub
> The Big List of ActivityPub Projects!

* [https://activitypub.rocks/](https://activitypub.rocks/) (official site)
* [https://socialhub.activitypub.rocks/](https://socialhub.activitypub.rocks/) (official forum)
* [https://www.w3.org/TR/activitypub/](https://www.w3.org/TR/activitypub/) (specification)

*W3 Quote:* "The ActivityPub protocol is a decentralized social networking protocol. It provides a client to server API for creating, updating and deleting content, as well as a federated server to server API for delivering notifications and content."

*Shlee Quote:* "ActivityPub is the idea of splitting online services into tiny self hosted pieces - Turning privately owned services like twitter into thousands of little twitters, who are able to communicate with each other as you would expect - Giving power and control back to the many."

![Mastodon Logo](https://camo.githubusercontent.com/24f50a04efd1bc2b6893a9fe65387aef918d7b93/68747470733a2f2f626c6f672e6a6f696e6d6173746f646f6e2e6f72672f323031382f30362f7768792d61637469766974797075622d69732d7468652d6675747572652f657a6769662d322d363066316230303430332e676966)
> Alice is on Server A. Bob is on Server B. Alice sends a message to Bob. Server A sends the message to Server B. Bob gets notified of the message. :star:


## Alternatives to other Mainstream services

### Microblogging (Tumblr)
* None :(

### Microblogging (Twitter)
#### Mastodon-Based
*Project* | *Description* | *Language* | *Stars* | *Last Commit*
--- | --- | --- | --- | ---
[Mastodon](https://github.com/tootsuite/mastodon) | Mainstream reference design | Ruby | [![badge](https://img.shields.io/github/stars/tootsuite/mastodon.svg?style=social&label=Star&maxAge=2592000)](https://github.com/tootsuite/mastodon/stargazers) | [![badge](https://img.shields.io/github/last-commit/tootsuite/mastodon.svg)](https://github.com/tootsuite/mastodon)
[glitch-soc](https://github.com/glitch-soc/mastodon) | A glitchy but lovable fork | Ruby | [![badge](https://img.shields.io/github/stars/glitch-soc/mastodon.svg?style=social&label=Star&maxAge=2592000)](https://github.com/glitch-soc/mastodon/stargazers) | [![badge](https://img.shields.io/github/last-commit/glitch-soc/mastodon.svg)](https://github.com/glitch-soc/mastodon)
[mastodo](https://github.com/gled-rs/mastodo) | Implementing useful features not implemented upstream | Ruby | [![badge](https://img.shields.io/github/stars/gled-rs/mastodo.svg?style=social&label=Star&maxAge=2592000)](https://github.com/gled-rs/mastodo/stargazers) | [![badge](https://img.shields.io/github/last-commit/gled-rs/mastodo.svg)](https://github.com/gled-rs/mastodo)
[Florence](https://github.com/florence-social/mastodon-fork) | Florence's fork of Mastodon | Ruby | [![badge](https://img.shields.io/github/stars/florence-social/mastodon-fork.svg?style=social&label=Star&maxAge=2592000)](https://github.com/florence-social/mastodon-fork/stargazers) | [![badge](https://img.shields.io/github/last-commit/florence-social/mastodon-fork.svg)](https://github.com/florence-social/mastodon-fork)
[Hometown](https://github.com/hometown-fork/hometown) | minimum code change for maximum user experience change | Ruby | [![badge](https://img.shields.io/github/stars/hometown-fork/hometown.svg?style=social&label=Star&maxAge=2592000)](https://github.com/hometown-fork/hometown/stargazers) | [![badge](https://img.shields.io/github/last-commit/hometown-fork/hometown.svg)](https://github.com/hometown-fork/hometown)


#### Others
*Project* | *Description* | *Language* | *Stars* | *Last Commit*
--- | --- | --- | --- | ---
[Pleroma](https://git.pleroma.social/pleroma/pleroma/) | High Performance with seperated BE/FE design | Elixir/Erlang | ? | ?
[Misskey](https://github.com/syuilo/misskey) | "forever evolving, sophisticated microblogging platform" with lots of anime girls." | NodeJS | [![badge](https://img.shields.io/github/stars/syuilo/misskey.svg?style=social&label=Star&maxAge=2592000)](https://github.com/syuilo/misskey/stargazers) | [![badge](https://img.shields.io/github/last-commit/syuilo/misskey.svg)](https://github.com/syuilo/misskey)
[GoToSocial](https://github.com/superseriousbusiness/gotosocial) | GoToSocial is an ActivityPub social network server, written in Golang. | Go | [![badge](https://img.shields.io/github/stars/superseriousbusiness/gotosocial.svg?style=social&label=Star&maxAge=2592000)](https://github.com/superseriousbusiness/gotosocial/stargazers) | [![badge](https://img.shields.io/github/last-commit/superseriousbusiness/gotosocial.svg)](https://github.com/superseriousbusiness/gotosocial)


_WIP_
*Project* | *Description* | *Language* | *Stars* | *Last Commit*
--- | --- | --- | --- | ---
[Nextcloud Social](https://github.com/nextcloud/social) | Nextcloud becomes part of the federated social networks! | PHP | [![badge](https://img.shields.io/github/stars/nextcloud/social.svg?style=social&label=Star&maxAge=2592000)](https://github.com/nextcloud/social/stargazers) | [![badge](https://img.shields.io/github/last-commit/nextcloud/social.svg)](https://github.com/nextcloud/social)
[microblog.pub](https://github.com/tsileo/microblog.pub) | Self-hosted, single-user, ActivityPub powered microblog. | Python | [![badge](https://img.shields.io/github/stars/tsileo/microblog.pub.svg?style=social&label=Star&maxAge=2592000)](https://github.com/tsileo/microblog.pub/stargazers) | [![badge](https://img.shields.io/github/last-commit/tsileo/microblog.pub.svg)](https://github.com/tsileo/microblog.pub)
[Kibou](https://git.cybre.club/kibouproject/kibou) | Mastodon-compatible server | Rust | ? | ?
[Rustodon](https://github.com/rustodon/rustodon) | Mastodon-compatible server | Rust | [![badge](https://img.shields.io/github/stars/rustodon/rustodon.svg?style=social&label=Star&maxAge=2592000)](https://github.com/rustodon/rustodon/stargazers) | [![badge](https://img.shields.io/github/last-commit/rustodon/rustodon.svg)](https://github.com/rustodon/rustodon)
[Honk](https://humungus.tedunangst.com/r/honk) | Federated honk conveyance | Go | ? | ?


### Video Streaming (YouTube)
_Stable_
*Project* | *Description* | *Language* | *Stars* | *Last Commit*
--- | --- | --- | --- | ---
[PeerTube](https://github.com/Chocobozzz/PeerTube) | Video streaming platform using P2P (BitTorrent) directly in the web browser with WebTorrent and Angular. | NodeJS | [![badge](https://img.shields.io/github/stars/Chocobozzz/PeerTube.svg?style=social&label=Star&maxAge=2592000)](https://github.com/Chocobozzz/PeerTube/stargazers) | [![badge](https://img.shields.io/github/last-commit/Chocobozzz/PeerTube.svg)](https://github.com/Chocobozzz/PeerTube)


### Image Sharing (Instagram)
*Project* | *Description* | *Language* | *Stars* | *Last Commit*
--- | --- | --- | --- | ---
[pixelfed](https://github.com/pixelfed/pixelfed) | Free and ethical photo sharing platform | PHP | [![badge](https://img.shields.io/github/stars/pixelfed/pixelfed.svg?style=social&label=Star&maxAge=2592000)](https://github.com/pixelfed/pixelfed/stargazers) | [![badge](https://img.shields.io/github/last-commit/pixelfed/pixelfed.svg)](https://github.com/pixelfed/pixelfed)
[anfora](https://github.com/anforaProject/anfora) | _WIP_ photo gallery social network | Python | [![badge](https://img.shields.io/github/stars/anforaProject/anfora.svg?style=social&label=Star&maxAge=2592000)](https://github.com/anforaProject/anfora/stargazers) | [![badge](https://img.shields.io/github/last-commit/anforaProject/anfora.svg)](https://github.com/anforaProject/anfora)


### Blogging
*Project* | *Description* | *Language* | *Stars* | *Last Commit*
--- | --- | --- | --- | ---
[writefreely](https://github.com/writeas/writefreely) | federated blogging engine | GO | [![badge](https://img.shields.io/github/stars/writeas/writefreely.svg?style=social&label=Star&maxAge=2592000)](https://github.com/writeas/writefreely/stargazers) | [![badge](https://img.shields.io/github/last-commit/writeas/writefreely.svg)](https://github.com/writeas/writefreely)
[Plume](https://github.com/Plume-org/Plume) | federated blogging engine | Rust | [![badge](https://img.shields.io/github/stars/Plume-org/Plume.svg?style=social&label=Star&maxAge=2592000)](https://github.com/Plume-org/Plume/stargazers) | [![badge](https://img.shields.io/github/last-commit/Plume-org/Plume.svg)](https://github.com/Plume-org/Plume)


### Music (Soundcloud)
*Project* | *Description* | *Language* | *Stars* | *Last Commit*
--- | --- | --- | --- | ---
[Funkwhale](https://dev.funkwhale.audio/funkwhale/funkwhale) | self-hosted tribute to Grooveshark.com | NodeJS | NA | NA


_WIP_
* ![GitHub last commit](https://img.shields.io/github/last-commit/weathermen/soundstorm.svg?style=plastic) [Soundstorm](https://github.com/weathermen/soundstorm) - _Ruby_ "Federated Social Music Platform."
* ![GitHub last commit](https://img.shields.io/github/last-commit/rhaamo/reel2bits.svg?style=plastic) [Reel2Bits](https://github.com/rhaamo/reel2bits) - _Python_ "Soundcloud-like but simple, easy and KISS (and ActivityPub)"

### Link Sharing (Reddit)
_WIP_
* [Prismo](https://gitlab.com/prismosuite/prismo) - _Ruby/NodeJS_ "Federated link aggregation powered by ActivityPub."
* ![GitHub last commit](https://img.shields.io/github/last-commit/mariusor/littr.go.svg?style=plastic) [Littr.me](https://github.com/mariusor/littr.go) - _Go_ "Link aggregator inspired by reddit"
* ![GitHub last commit](https://img.shields.io/github/last-commit/dessalines/lemmy.svg?style=plastic) [Lemmy](https://github.com/dessalines/lemmy) - _Rust_ "federated alternative to reddit"
* [Anancus](https://gitlab.com/tuxether/anancus) - _Go_ "self-hosted and federated social link aggregation."

### Event Management
_WIP_
* ![GitHub last commit](https://img.shields.io/github/last-commit/framasoft/mobilizon.svg?style=plastic) [MobiliZon](https://framagit.org/framasoft/mobilizon/) - _Elixir_  "federated organization and mobilization platform. Gather people with a convivial, ethical, and emancipating tool."

### Public Facing Services
* https://search.social/ - Search engine for the public posts and profiles of the Fediverse.

## Other ActivityPub enabled projects
* ![GitHub last commit](https://img.shields.io/github/last-commit/pump-io/pump.io.svg?style=plastic) [Pump.io](https://github.com/pump-io/pump.io) - _NodeJS_ "Social network"
* ![GitHub last commit](https://img.shields.io/github/last-commit/gobengo/distbin.svg?style=plastic) [Distbin](https://github.com/gobengo/distbin) - _NodeJS_ "Post bin with distributed social features."
* [Hubzilla](https://framagit.org/hubzilla/core) - _PHP_ "powerful platform for creating interconnected websites."
* ![GitHub last commit](https://img.shields.io/github/last-commit/linkeddata/dokieli.svg?style=plastic) [Dokieli](https://github.com/linkeddata/dokieli) - _NodeJS_ "decentralised article publishing, annotations and social interactions."
* ![GitHub last commit](https://img.shields.io/github/last-commit/Aardwolf-Social/aardwolf.svg?style=plastic) [Aardwolf](https://github.com/Aardwolf-Social/aardwolf) - _Rust_ "Powering connected social communities"
* ![GitHub last commit](https://img.shields.io/github/last-commit/cabalamat/meowcat2.svg?style=plastic) [MeowCat2](https://github.com/cabalamat/meowcat2) - _Python_ "federated blogging and social networking platform"
* ![GitHub last commit](https://img.shields.io/github/last-commit/jaywink/socialhome.svg?style=plastic) [socialhome](https://github.com/jaywink/socialhome) - _Python_ "federated personal profile"
* ![GitHub last commit](https://img.shields.io/github/last-commit/Scarly-Cat/lamia.svg?style=plastic) [Lamia](https://github.com/Scarly-Cat/lamia) - _Python_ "Distributed blogging, polls, and status updates powered by activitypub, python, the gay agenda, and snake women."
* ![GitHub last commit](https://img.shields.io/github/last-commit/pubcast/pubcast.svg?style=plastic) [Pubcast](https://github.com/pubcast/pubcast) - _Go_ "experimental ActivityPub based podcasting platform"
* ![GitHub last commit](https://img.shields.io/github/last-commit/pfefferle/wordpress-activitypub.svg?style=plastic) [WordPress ActivityPub](https://github.com/pfefferle/wordpress-activitypub) - _PHP_ "Customizable WordPress plugin that makes per-user ActivityPub streams, and receives comments via ActivityPub"
* ![GitHub last commit](https://img.shields.io/github/last-commit/pterotype-project/pterotype.svg?style=plastic) [pterotype](https://github.com/pterotype-project/pterotype) - _PHP_ "WordPress plugin that expands your audience by giving your site an ActivityPub stream"


## Frameworks & Servers
* ![GitHub last commit](https://img.shields.io/github/last-commit/tsileo/little-boxes.svg?style=plastic) [Little Boxes](https://github.com/tsileo/little-boxes) -  _Python_ "both database and server agnostic."
* ![GitHub last commit](https://img.shields.io/github/last-commit/autogestion/pubgate.svg?style=plastic) [PubGate](https://github.com/autogestion/pubgate) - _Python_ "Lightweight (Gotta Go Fast) ActivityPub federator."
* ![GitHub last commit](https://img.shields.io/github/last-commit/WellFactored/clovis.svg?style=plastic) [Clovis](https://github.com/WellFactored/clovis) - _Scala_ "totally a hobby project to learn new stuff at the moment so don't expect much"
* ![GitHub last commit](https://img.shields.io/github/last-commit/go-fed/activity.svg?style=plastic) [go-fed](https://github.com/go-fed/activity) - _Go_ "ActivityStreams & ActivityPub in golang, oh my! "
* ![GitHub last commit](https://img.shields.io/github/last-commit/dariusk/express-activitypub.svg?style=plastic) [Express ActivityPub](https://github.com/dariusk/express-activitypub) - _NodeJS_ "Reference implementation of an ActivityPub server using Express.js"
* ![GitHub last commit](https://img.shields.io/github/last-commit/rowanlupton/pylodon.svg?style=plastic) [pylodon](https://github.com/rowanlupton/pylodon) - _Python_ "Flask-based ActivityPub server"
* [CommonsPub](https://gitlab.com/CommonsPub/Server) - _Elixir_ "WIP on a generic ActivityPub server: http://CommonsPub.org"
* [Kroeg](https://puckipedia.com/kroeg) - _Rust_ "really flexible federated social media!"


## Developer Tools
* [FediDB](https://fedidb.org/) - _PHP_ "ActivityPub Tools for Developers - This tool is intended to help diagnose AP bugs across implementations."

## Bridges
* [Bridgy Fed](https://fed.brid.gy/) - connects IndieWeb sites with federated social networks.
* [ActivityPub actor](https://activitypub.actor/) - importer from centralized non-ActivityPub social networks to ActivityPub capable ones.
* [RSS to ActivityPub Converter](https://github.com/dariusk/rss-to-activitypub) - NodeJS - Convert any RSS feed to an ActivityPub actor that can be followed on ActivityPub-compliant social networks like Mastodon

## Blog Posts
* [The “Worse Is Better” Approach to Federated Social Networking](https://blog.dereferenced.org/activitypub-the-worse-is-better-approach-to-federated-social-networking) - by Kaniini (lead developers of Pleroma).
* [Welcome to Thundertoot](https://medium.com/@mrshlee/aus-social-welcome-to-thundertoot-59d881ad573) - by myself (Aus.Social Admin)
